Bug 22962 - Wrong punctuation in RisExportAdditionalFields system preference
Summary: Wrong punctuation in RisExportAdditionalFields system preference
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Chris Cormack
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-22 13:27 UTC by Katrin Fischer
Modified: 2019-05-30 19:58 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22962 : Punctuation error in RisExportAdditionalFields (1.28 KB, patch)
2019-05-22 13:33 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 22962 : Punctuation error in RisExportAdditionalFields (1.33 KB, patch)
2019-05-22 13:42 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22962 : Punctuation error in RisExportAdditionalFields (1.43 KB, patch)
2019-05-22 14:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-05-22 13:27:09 UTC
The system preference RisExportAdditionalFields reads

Include following fields when exporting RIS,

The comma at the end should probably be something else.
Comment 1 Chris Cormack 2019-05-22 13:33:57 UTC
Created attachment 89956 [details] [review]
Bug 22962 : Punctuation error in RisExportAdditionalFields

To test
1/ Go to systempreferences search for RisExportAdditionalFields
2/ See the extra , on the first line
3/ Apply the patch
4/ See it is fixed
Comment 2 Joonas Kylmälä 2019-05-22 13:39:19 UTC
I think it should be changed to a colon ":" since the there will be a list of items following the sentence.
Comment 3 ByWater Sandboxes 2019-05-22 13:42:32 UTC
Created attachment 89958 [details] [review]
Bug 22962 : Punctuation error in RisExportAdditionalFields

To test
1/ Go to systempreferences search for RisExportAdditionalFields
2/ See the extra , on the first line
3/ Apply the patch
4/ See it is fixed

Signed-off-by: Katrin fischer <katrin.fischer@bsz-bw.de>
Comment 4 Marcel de Rooy 2019-05-22 14:32:35 UTC
Created attachment 89959 [details] [review]
Bug 22962 : Punctuation error in RisExportAdditionalFields

To test
1/ Go to systempreferences search for RisExportAdditionalFields
2/ See the extra , on the first line
3/ Apply the patch
4/ See it is fixed

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Nick Clemens 2019-05-23 15:00:41 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-05-30 19:58:19 UTC
String patch after string freeze for 18.11.x series.. Skipping this time around.